/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2020/04/30
* Description        : Main program body.
*******************************************************************************/

#include "debug.h"
#include "usart.h"

/* Global typedef */
/* Global define */
/* Global Variable */

/*******************************************************************************
* Function Name  : main
* Description    : Main program.
* Input          : None
* Return         : None
*******************************************************************************/
int main(void)
{
    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    USART1_Init(115200);
    USART1_DMA_Init();

    USARTx_SendStr(USART1, "This is a test data.\n");
    printf("STM32+USART+DMA+IDLE\n");

    while (1)
    {
        /* жϽǷ */
        if(Touch_tx_flag != 0)
        {
            /* ȹرDMAͨ */
            DMA_Cmd(DMA1_Channel4,DISABLE);
            /* ־ */
            DMA_ClearFlag(DMA1_FLAG_TC4);
            /* DMAͳ */
            DMA_SetCurrDataCounter(DMA1_Channel4,Touch_tx_flag);
            /* ʹDMAͨ */
            DMA_Cmd(DMA1_Channel4,ENABLE);
            /* ȴɣûʹDMAж */
            while(!DMA_GetFlagStatus(DMA1_FLAG_TC4));
            /* ɱ־ */
            Touch_tx_flag = 0;
        }
    }
    return 0;
}

